<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
>
<f:metadata>
    <f:viewAction onPostback="false" action="#{toolsBean.init}"/>
</f:metadata>

<ui:composition>
    <h:head>
        <title>ابزار</title>




    </h:head>

    <h:body style="direction: rtl">
        <div class="ui-g-3"></div>

        <p:fieldset legend=" ابزار" style="margin-bottom:30px" class="ui-g-6">
            <h:form id="addForm">
                <p:messages autoUpdate="true" globalOnly="false" id="messages" closable="true"/>


                <p:fieldset legend="ثبت ابزار" style="margin-bottom:20px">
                    <p:panelGrid id="toolsAdd" columns="2" columnsWidth="2,4" styleClass="ui-noborder">
                        <p:outputLabel value="بارکد :"/>
                        <p:inputText value="#{toolsBean.toolsEntity.barcode}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                        <p:outputLabel value="نام:"/>
                        <p:inputText value="#{toolsBean.toolsEntity.name}"/>

                        <p:outputLabel value="نام سازمان:"/>
                        <p:selectOneMenu id="country" value="#{toolsBean.toolsEntity.uniName}" style="width:152px">
                            <f:selectItem itemLabel="سازمان را انتخاب کنید" itemValue="" noSelectionOption="true"/>
                            <f:selectItems value="#{toolsBean.unitsName}"/>
                        </p:selectOneMenu>
                        <p:outputLabel for="button" value="تاریخ ساخت:"/>
                        <p:calendar id="button" value="#{toolsBean.toolsEntity.manufactureDate}" showIcon="true"/>
                    </p:panelGrid>

                    <p:spacer height="5"/>

                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ثبت" actionListener="#{toolsBean.insertTools}"
                                         update=":addForm">
                        </p:commandButton>
                    </p:panel>


                </p:fieldset>


                <p:fieldset legend="نمایش ابزار" style="margin-bottom:20px">

                    <p:fieldset legend="جستجوی">

                        <p:panel styleClass="searchBox">
                            <p:panelGrid id="showemp" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                <p:outputLabel value="بارکد:" style="margin-left: 5px;"/>
                                <p:inputText value="#{toolsBean.barcode1}" id="nameSearch" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                                <p:commandButton id="searchButton" value="جستجو"
                                                 actionListener="#{toolsBean.searchToolForView}"
                                                 update="@form">
                                </p:commandButton>
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                    </p:fieldset>
                    <p:spacer height="10"/>
                    <p:panelGrid id="toolsView" columns="2" columnsWidth="2,4" styleClass="ui-noborder">

                        <p:outputLabel value="نام:"/>
                        <p:inputText value="#{toolsBean.toolsForView.name}" disabled="true"/>

                        <p:outputLabel value="بارکد:" style="margin-left: 5px;"/>
                        <p:inputText value="#{toolsBean.toolsForView.barcode}" disabled="true"/>

                        <p:outputLabel value="نام سازمان:"/>
                        <p:inputText value="#{toolsBean.toolsForView.uniName}" disabled="true"/>

                        <p:outputLabel value="تاریخ ساخت:"/>
                        <p:calendar  value="#{toolsBean.toolsForView.manufactureDate}" showIcon="true" disabled="true"/>

                    </p:panelGrid>

                    <p:spacer height="5"/>



                </p:fieldset>

                <p:fieldset legend="ویرایش ابزار" style="margin-bottom:20px">

                    <p:fieldset legend="جستجوی">

                        <p:panel styleClass="searchBox">
                            <p:panelGrid id="edittools" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                <p:outputLabel value="بارکد:" style="margin-left: 5px;"/>
                                <p:inputText value="#{toolsBean.barcode2}" id="barcodesearch" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                                <p:commandButton id="searchButton3" value="جستجو"
                                                 actionListener="#{toolsBean.searchToolForEdit}"
                                                 update="@form">
                                </p:commandButton>
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                    </p:fieldset>
                    <p:spacer height="10"/>
                    <p:panelGrid id="toolsEdit" columns="2" columnsWidth="2,4" styleClass="ui-noborder">

                        <p:outputLabel value="نام:"/>
                        <p:inputText value="#{toolsBean.toolsForEdit.name}" />

                        <p:outputLabel value="بارکد:" style="margin-left: 5px;"/>
                        <p:inputText value="#{toolsBean.toolsForEdit.barcode}" disabled="true"/>

                        <p:outputLabel value="نام سازمان:"/>
                        <p:inputText value="#{toolsBean.toolsForEdit.uniName}" />

                        <p:outputLabel value="تاریخ ساخت:"/>
                        <p:calendar  value="#{toolsBean.toolsForEdit.manufactureDate}" showIcon="true" />

                    </p:panelGrid>

                    <p:spacer height="5"/>
                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ویرایش" actionListener="#{toolsBean.editTools}"
                                         update=":addForm">
                        </p:commandButton>
                        <p:commandButton value="حذف" actionListener="#{toolsBean.deleteTools}"
                                         update=":addForm">
                        </p:commandButton>
                    </p:panel>


                </p:fieldset>

            </h:form>
        </p:fieldset>

        <div class="ui-g-3"></div>
    </h:body>
</ui:composition>
</html>
